Subject: Re: bug#52281: 28.0.90; batch-byte-compile breaking up warnings in batch mode

From: Stefan Kangas <[email-masked]>
Date: Mon, 6 Dec 2021 02:42:43 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I agree that these warnings should not be broken up in batch mode.
>
> OK; pushed to Emacs 29.

Thanks.

For posterity, let me just add that the principal reason for me to agree
here is that more than once have I had to struggle to grep or search for
these warnings due to messages being broken up over several lines.

I also remember seeing some issues when adding tests for these warnings
in bytecomp-tests.el.  I can't remember the details, but I think that it
was something like having to make some of the regexps less specific as
certain parts could end up on the wrong line.  That was not a massive
pain to debug or anything, but it was also just not fun.